Требования

GLPI - веб приложение, которое требует:

  • веб сервер;
  • PHP;
  • БД;

Веб сервер

GLPI требует веб сервер, который поддерживает PHP:

PHP;

Для GLPI 9.2 требуется PHP 5.6 или более поздней версии.

Примечание

Мы рекомендуем использовать самую последнюю версию PHP для лучшей производительности.

Обязательные расширения

Следующие расширения PHP требуются для правильной работы GLPI:

  • curl: для CAS аутентификации, проверки версии GLPI , Telemetry, …;
  • fileinfo: для получения дополнительной информации из файлов;
  • gd: для генерации изображений;
  • json: для поддержки данных в формате JSON;
  • mbstring: для поддержки мультибитовых кодировок;
  • mysqli: для поддержки и запросов к БД;
  • session: для поддержки сессий пользователей;
  • zlib: для поддержи резервного копирования и восстановления БД;
  • simplexml;
  • xml.

Дополнительные расширения

Примечание

Даже если эти плагины необязательны, мы, в любом случае, рекомендуем их установить.

Следующие PHP расширения требуются для некоторых дополнительных функций GLPI:

  • cli: для использования PHP из коммандной строки (скрипты, автоматические действия и тд);
  • domxml: используется для CAS аутентификации;
  • imap: используется для аутентификации сборщика почты;
  • ldap: используется для аутентификации через LDAP сервер;
  • openssl: защищенные соединения;
  • xmlrpc: используется для XMLRPC API.
  • APCu: может использоваться для кеширования; среди прочих (смотри конфигурацию кеширования (только на французском).

Конфигурация

В конфигурационным файле PHP (php.ini) должен быть настроены следующие переменные:

memory_limit = 64M ;        // max memory limit
file_uploads = on ;
max_execution_time = 600 ;  // not mandatory but recommended
register_globals = off ;    // not mandatory but recommended
magic_quotes_sybase = off ;
session.auto_start = off ;
session.use_trans_sid = 0 ; // not mandatory but recommended

База данных

Предупреждение

Currently, only MySQL (5.6 minimum) and MariaDB (10.0 minimum) database servers are supported by GLPI.

Для работы GLPI требуется сервер БД.

Creative Commons License